summaryrefslogtreecommitdiffstats
path: root/csit/install-robotframework.sh
diff options
context:
space:
mode:
Diffstat (limited to 'csit/install-robotframework.sh')
-rwxr-xr-xcsit/install-robotframework.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/csit/install-robotframework.sh b/csit/install-robotframework.sh
new file mode 100755
index 00000000..dada6221
--- /dev/null
+++ b/csit/install-robotframework.sh
@@ -0,0 +1,16 @@
+ROBOT_VENV=$(mktemp -d --suffix=robot_venv)
+echo "ROBOT_VENV=${ROBOT_VENV}" >> "${WORKSPACE}/env.properties"
+
+echo "Python version is: $(python3 --version)"
+
+python3 -m venv "${ROBOT_VENV}"
+source "${ROBOT_VENV}/bin/activate"
+
+set -exu
+
+# Make sure pip3 itself us up-to-date.
+python3 -m pip install --upgrade pip
+
+echo "Installing Python Requirements"
+python3 -m pip install -r ${WORKSPACE}/pylibs.txt
+python3 -m pip freeze